Skip to navigation

Create an environment of a blueprint

View as Markdown
Adds an empty environment to a private blueprint in its own account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountstringRequired
Account name
namestringRequired
Agent name

Request

This endpoint expects an object.
colorstringOptional
iconstringOptional
namestringOptional

Response

Created
account_namestringOptional
colorstringOptional
deployment_idstringOptional
iconstringOptional
idstringOptional
namestringOptional
updated_atdatetime or nullOptional
updated_by_handlestringOptional
updated_by_namestringOptional
variables_availablebooleanOptional

Errors

400
Bad Request Error
403
Forbidden Error
409
Conflict Error